読者です 読者をやめる 読者になる 読者になる

わすれっぽいきみえ

みらいのじぶんにやさしくしてやる

gemのインストール先にrbenvが指すものとGem.user_dirがあることを知らなくてハマった話

rbenvでrubyのバージョンを上げた後bundlerをインストールしたら $ bundle -v zsh: command not found: bundle が返ってきた。 rbenv rehash は実行したのに /Users/kimikimi714/.rbenv/shims/ 下にbundlerが見つからない。 そもそもインストールした時点で …

knife solo実行時に「SSL validation of HTTPS requests is disabled.」というwarningが出ないようにする。

現在gemでchefとknife-soloをインストールすると $ gem list chef (11.12.4) ohai (7.0.4) knife-solo (0.4.1) Release Notes: chef-client 11.12.0 — Chef Docsによるとバージョン11.12から knife ssl checkが導入されたとある。そのためいつも通りのつもり…

ohaiの7系だとrequire_pluginが使えないみたい

ohaiとは chefをインストールするとohaiという サーバの情報をよしなに取得してきてくれる超便利ツールがある。 使い方はとても簡単で $ ohai これだけでohaiが実行された環境の情報をいろいろ取得し、json形式で表示してくれる。 まぁこれだけをいきなり実…

今日やった設定 その3

vagrantをインストールしたのでboxをダウンロードしてーとかいろいろやってた。 参考 Vagrant セットアップ (Mac) - Qiita A list of base boxes for Vagrant - Vagrantbox.es [Vagrant] VirtualBoxのバージョンとGuest additionsのバージョンが合わない場合…